Summary: An Evernote client clone for Linux
Name: nixnote2
Version: 2.1.6
Release: %mkrel 1
License: GPL-3.0
Group: Office
URL: https://github.com/robert7/nixnote2/
Source: %{name}-%{version}.tar.xz
Source1: nixnote2.desktop
Requires: tidy
Requires: lib64poppler-qt5_1
Requires: lib64qt5core5
Requires: lib64qt5dbus5
Requires: lib64qt5gui5
Requires: lib64qt5network5
Requires: lib64qt5qml5
Requires: lib64qt5sql5
Requires: lib64qt5webkit5
Requires: lib64qt5widgets5
Requires: lib64qt5xml5
Requires: lib64tidy-html5
Requires: lib64qt5-database-plugin-sqlite

BuildRequires: lib64modemmanager-qt-devel
BuildRequires: lib64networkmanager-qt-devel
BuildRequires: lib64poppler-qt5-devel
BuildRequires: lib64qt5bluetooth-devel
BuildRequires: lib64qt5charts-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5datavisualization-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5gamepad-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5keychain-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediaquick-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5networkauth-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5packetprotocol-static-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport5
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5purchasing-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5qt3d-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quickshapes-devel
BuildRequires: lib64qt5quicktemplates-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5remoteobjects-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5scxml-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialbus-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5texttospeech-devel
BuildRequires: lib64qt5virtualkeyboard-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets5
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5websockets-devel
BuildRequires: lib64qt5webview-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64qt5xmlpatterns-devel
BuildRequires: lib64syntax-highlighting-devel
BuildRequires: fdupes


%description
NixNote:: Evernote client clone for Linux

Since it looks like the original author dropped development, this package is created by using a fork of the original software. The fork is maintained here:

https://github.com/robert7/nixnote2/

The original software can be found here:

http://www.nixnote.org/

%prep
%setup -q
sed -i -e 's#PKGCONFIG += poppler-qt5 libcurl tidy hunspell#PKGCONFIG += poppler-qt5 libcurl hunspell#g' nixnote2.pro

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_DIR}/nixnote2

%define debug_package %{nil}

%build
qmake-qt5 CONFIG+=release QMAKE_LIBS+="-ltidy" QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags" QMAKE_STRIP="/bin/true" DESTDIR=%{buildroot}
make

%install
make install INSTALL_ROOT=%{buildroot}
install -m 0644 %SOURCE1 %{buildroot}/usr/share/applications/
mkdir -p %{buildroot}/%{_datadir}/doc/packages/nixnote2/
mv %{buildroot}/%{_datadir}/doc/nixnote2/* %{buildroot}/%{_datadir}/doc/packages/nixnote2/
rmdir %{buildroot}/%{_datadir}/doc/nixnote2
fdupes %{buildroot}

%files
%{_datadir}/nixnote2
%attr(755,root,root) /usr/bin/nixnote2  
%{_datadir}/applications/nixnote2.desktop
%dir %{_datadir}/icons/hicolor/256x256
%dir %{_datadir}/icons/hicolor/256x256/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%dir %{_datadir}/icons/hicolor/512x512
%dir %{_datadir}/icons/hicolor/512x512/apps
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/nixnote2.svg
%{_datadir}/icons/hicolor/*/apps/nixnote2.png
%{_datadir}/man/man1/nixnote2.1.*
%{_datadir}/doc

%changelog
* Mon Sep 13 2021 tex - 2.1.6-1pclos2021
- updated

* Sun Jun 10 2019 tex 2.1.3-1pclos2019
- new
